# Uses of Interface
org.springframework.ui.context.ThemeSource

Packages that use ThemeSource
Package
Description
org.springframework.ui.context
Contains classes defining the application context subinterface for UI applications.
org.springframework.ui.context.support
Classes supporting the org.springframework.ui.context package.

## Uses of ThemeSource in org.springframework.ui.context

Subinterfaces of ThemeSource in org.springframework.ui.context
Modifier and Type
Interface
Description
`interface`
`HierarchicalThemeSource`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Methods in org.springframework.ui.context that return ThemeSource
Modifier and Type
Method
Description
`ThemeSource`
HierarchicalThemeSource.`getParentThemeSource()`
Deprecated.
Return the parent of this ThemeSource, or `null` if none.
Methods in org.springframework.ui.context with parameters of type ThemeSource
Modifier and Type
Method
Description
`void`
HierarchicalThemeSource.`setParentThemeSource(ThemeSource parent)`
Deprecated.
Set the parent that will be used to try to resolve theme messages that this object can't resolve.

## Uses of ThemeSource in org.springframework.ui.context.support

Classes in org.springframework.ui.context.support that implement ThemeSource
Modifier and Type
Class
Description
`class`
`DelegatingThemeSource`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
`class`
`ResourceBundleThemeSource`
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Methods in org.springframework.ui.context.support that return ThemeSource
Modifier and Type
Method
Description
`ThemeSource`
DelegatingThemeSource.`getParentThemeSource()`
Deprecated.
`ThemeSource`
ResourceBundleThemeSource.`getParentThemeSource()`
Deprecated.
`static ThemeSource`
UiApplicationContextUtils.`initThemeSource(ApplicationContext context)`
Deprecated.
Initialize the ThemeSource for the given application context, autodetecting a bean with the name "themeSource".
Methods in org.springframework.ui.context.support with parameters of type ThemeSource
Modifier and Type
Method
Description
`void`
DelegatingThemeSource.`setParentThemeSource(ThemeSource parentThemeSource)`
Deprecated.
`void`
ResourceBundleThemeSource.`setParentThemeSource(ThemeSource parent)`
Deprecated.